Diskuzní fórum a databáze tipů a utilit pro AutoCAD, Inventor, Revit a další produkty Autodesk - od firmy CAD Studio [www.cadforum.cz]
Česky Slovensky English Deutsch
Přihlášení:
▶ Registrace

 právě nás čte: 3432 
RSS tipy RSS kanál - CAD tipy
RSS diskuze RSS kanál - CAD diskuze

Diskuze Diskuzní fórum, poradna

NápovědaCAD diskuze, rady, výměna zkušeností

CAD Fórum - Homepage Veřejné diskuzní fórum k CAD aplikacím - ptejte se na libovolné otázky týkající se oboru CAx, podělte se o vaše znalosti a zkušenosti s programy AutoCAD, Inventor, Revit, Fusion 360, 3ds Max a s dalšími CAD aplikacemi. Zaregistrujte se nebo se přihlašte a zašlete váš příspěvek do odpovídajícího fóra. Viz další informace o CAD Fóru. Nechcete se registrovat? Zeptejte se v naší Facebook poradně.
Fórum nenahrazuje technický support firmy CAD Studio - přímá podpora pro zákazníky funguje na helpdesk.cadstudio.cz
  FAQ FAQ  Prohledat fórum   Události   Registrovat Registrovat  Přihlásit Přihlásit

HPANNOTAIVE=1 auto

 Odpovědět Odpovědět archiv
Autor
mikeborecek Zobrazit panel
Zasloužilý člen
Zasloužilý člen
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 237
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Téma: HPANNOTAIVE=1 auto
    Zasláno: 19.čvc.2018 v 14:40
Je možné nastaviť default  HPANNOTATIVE =1? Alebo to musím pri každom otvorení výkresu zapínať?
Zpět nahoru
splonk Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 25.lis.2006
Lokalita: ČR (Pha)
Používám:
AutoCAD/ACA'10/14/16, RVT'17
Stav: Offline
Bodů: 828
Možnosti příspěvku Možnosti příspěvku   Poděkování (2) Poděkování2   Citace splonk Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 19.čvc.2018 v 15:36
nevim jestli to lze ulozit... 
Podobne jsem "bojoval s vychozí typem srafu - chtel jsem mit jako default nastaveno SOLID.... a nenasel jsem kde to nastavit tak, abych to mel vsude... (v options to ulozit nejde, do DWG taky ne)

Tak jsem si do ACADDOC.LSP dopsal radek:
(setvar "HPNAME" "SOLID") 
ten se spusti pri otevreni kazdeho DWG - a je to...

u vas to zrejmne bude vypadat takto:
(setvar "HPANNOTATIVE" 1) 
JASponza

ACA 2010/14/16, AutoCAD 2010/14/16

(WinXP x86), Win7, 8.1, 10 x64,
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 17411
Možnosti příspěvku Možnosti příspěvku   Poděkování (2) Poděkování2   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 19.čvc.2018 v 15:39
Tato proměnná není ukládána ve výkresu ani v Registry či profilu, takže je nutné ji nastavovat po otevření dokumentu. Automaticky to zařídíte např. přidáním následujícího příkazu do ACADDOC.LSP:
 
(setvar "HPANNOTATIVE" 1)
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
mikeborecek Zobrazit panel
Zasloužilý člen
Zasloužilý člen
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 237
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 19.čvc.2018 v 16:03
Ak by som si chcel vytvoriť samostaný lsp tak stačí tam nahodiť (setvar "HPANNOTATIVE" 1) a dať aby sa načítaval pri spustení výkresu?
Zpět nahoru
splonk Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 25.lis.2006
Lokalita: ČR (Pha)
Používám:
AutoCAD/ACA'10/14/16, RVT'17
Stav: Offline
Bodů: 828
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace splonk Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 19.čvc.2018 v 16:06
ano, presne tak.
anebo, jaxem psal, kdyz radek date do ACADDOC.lsp (ten budenekde ve slozce support anebo si ho vytvorte a dejte nekma do cesty, kde autocad vyhledava. Kdyz pak AutoCAD narazi na tento nazev, automaticky ho spusti.
JASponza

ACA 2010/14/16, AutoCAD 2010/14/16

(WinXP x86), Win7, 8.1, 10 x64,
Zpět nahoru
mikeborecek Zobrazit panel
Zasloužilý člen
Zasloužilý člen
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 237
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 19.čvc.2018 v 16:17
heh, to je super, skúsil som si to aj s Vaším nastavením šrafy (akurát som dal iný typ šrafy) a funguje to perfektne :D
Ni je tu niekde nejaké vlákno - typy na najpoužívanejšie lisp - alebo iné príkazy okrem "stvar" ktoré by som vedel použiť na uľahčenie/urýchlenie/zautomatizovanie práce?

Zpět nahoru
splonk Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 25.lis.2006
Lokalita: ČR (Pha)
Používám:
AutoCAD/ACA'10/14/16, RVT'17
Stav: Offline
Bodů: 828
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace splonk Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 19.čvc.2018 v 16:29
internet je toho plny, akorat je dobre to neprehnat...
a pak je tu jeste  jedno nebezpeci... je to trochu jako droga (pro nekoho :))... clovek pak zapomene, ze musi kreslit projekty a blbe se to pak klientovi vysvetluje... :)
JASponza

ACA 2010/14/16, AutoCAD 2010/14/16

(WinXP x86), Win7, 8.1, 10 x64,
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 17411
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 20.čvc.2018 v 12:33
V ACADDOC.LSP nebo v dalších automaticky načítaných souborech (viz) se kromě neukládaných proměnných (systémových i proměnných prostředí) obvykle neprovádí konkrétní funkce s DWG (ty obvykle musí být odloženy pomocí S::STARTUP - viz), ale jen definují/načítají doplňkové funkce a příkazy pro pozdější použití.
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
mikeborecek Zobrazit panel
Zasloužilý člen
Zasloužilý člen
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 237
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 20.čvc.2018 v 16:09
Práve som narazil na .lps na tejto stránke http://www.lee-mac.com/areastofield.html a práve pri tomto konkrétnom lsp by som sa pozastavil a opýtal, ako si nastavím aby vyobrazenie plochy bolo napr. "15,05 m2" a nie "1505231,1265" ?
Zpět nahoru
splonk Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 25.lis.2006
Lokalita: ČR (Pha)
Používám:
AutoCAD/ACA'10/14/16, RVT'17
Stav: Offline
Bodů: 828
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace splonk Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 20.čvc.2018 v 16:21
to se musite podivat do okna kde se definuje Textove pole... chvili s tim laborovat a pak do lispu dopsat (upravit) kod ktery ridi sntaxi...
nize zasilam obdobou vec od pana Jimmiho Bergmarka - mnou trochu upravenou (barva a velikost textu) a jednotky jsou tak, jak je chcete..

.......................................
;;; AreaText.LSP ver 3.0
;;; Command name is AT
;;; Select a polyline and where to place the text
;;; Sample result: 2888.89 SQ. FT.
;;; As this is a FIELD it is updated based on the FIELDEVAL
;;; or the settings found in the OPTIONS dialog box

;;; By Jimmy Bergmark
;;; Copyright (C) 2007-2010 JTB World, All Rights Reserved
;;; Website: www.jtbworld.com
;;; E-mail: info@jtbworld.com
;;; 2007-09-05 - First release
;;; 2009-08-02 - Updated to work in both modelspace and paperspace
;;; 2010-10-29 - Updated to work also on 64-bit AutoCAD

;;; Uses TEXTSIZE for the text height


(defun Get-ObjectIDx64 (obj / util)
  (setq util (vla-get-Utility (vla-get-activedocument (vlax-get-acad-object))))
  (if (= (type obj) 'ENAME)(setq obj (vlax-ename->vla-object obj)))
  (if (= (type obj) 'VLA-OBJECT)
    (if (> (vl-string-search "x64" (getvar "platform")) 0)
      (vlax-invoke-method util "GetObjectIdString" obj :vlax-False)
      (rtos (vla-get-objectid obj) 2 0)
    )
  )
)

(defun c:ART (/ entObject entObjectID InsertionPoint MYCECOLOR ad)
  
  (vl-load-com)
  (setq entObject (vlax-ename->vla-object(car (entsel)))
        entObjectID (Get-ObjectIDx64 entObject)
        InsertionPoint (vlax-3D-Point (getpoint "Select point: "))
        ad (vla-get-ActiveDocument (vlax-get-acad-object))
  )
  ; (setvar "TEXTSTYLE" "Arial")
  
  (setq MYCECOLOR (getvar "cecolor")
MYTEXTSIZE (getvar "textsize")
MYCELWEIGHT (getvar "celweight")
  )
  (setvar "cecolor" "1")
  (setvar "TEXTSIZE" 200)
  (setvar "celweight" 30)
  (vla-addMText (if (= 1 (vla-get-activespace ad))
    (vla-get-modelspace ad)
    (if (= (vla-get-mspace ad) :vlax-true)
      (vla-get-modelspace ad)
      (vla-get-paperspace ad)
    )
  )
  
  InsertionPoint 0.0 (strcat
  "%<\\AcObjProp Object(%<\\_ObjId "
  entObjectID
  ">%).Area \\f \"%lu6%qf1%ps[, m2]%ct8[1e-006]\">%"
  ))
  (setvar "cecolor" MYCECOLOR)
  (setvar "textsize" MYTEXTSIZE)
  (setvar "celweight" MYCELWEIGHT)
)
(princ)
;;; **************************************************************
;;; **************************************************************
;;; **************************************************************
JASponza

ACA 2010/14/16, AutoCAD 2010/14/16

(WinXP x86), Win7, 8.1, 10 x64,
Zpět nahoru
Vladimír Michl Zobrazit panel
Moderátor
Moderátor
Avatar
CAD Studio a.s.

Přihlášen: 09.zář.2004
Lokalita: ČR (JČ)
Používám:
Dodáváme produkty Autodesk
Stav: Offline
Bodů: 17411
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace Vladimír Michl Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 20.čvc.2018 v 16:35
Vladimír Michl (moderátor)
CAD Studio a.s. - www.cadstudio.cz
(podporu najdete na helpdesk.cadstudio.cz)
Zpět nahoru
splonk Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 25.lis.2006
Lokalita: ČR (Pha)
Používám:
AutoCAD/ACA'10/14/16, RVT'17
Stav: Offline
Bodů: 828
Možnosti příspěvku Možnosti příspěvku   Poděkování (1) Poděkování1   Citace splonk Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 20.čvc.2018 v 16:48
Jj, ta je taky paradni! A diky za pripomenuti.. trsku jsem na ni zapomnel a zrovna se mi bude hodit :).

ja na to sel jinak... kdyz potrebuju aby mi to psalo jinou vlastnost tak si pridam cast kodu (i s novym, konkretnim spoustecim prikazem... 
Napr, kdyz za ono moje dopisu...

(defun c:LGT (/ entObject entObjectID InsertionPoint MYCECOLOR ad)
  (vl-load-com)
  (setq entObject (vlax-ename->vla-object(car (entsel)))
        entObjectID (Get-ObjectIDx64 entObject)
        InsertionPoint (vlax-3D-Point (getpoint "Select point: "))
        ad (vla-get-ActiveDocument (vlax-get-acad-object))
  )
   (setq MYCECOLOR (getvar "cecolor")
MYTEXTSIZE (getvar "textsize")
MYCELWEIGHT (getvar "celweight")
  )
  (setvar "cecolor" "5")
  (setvar "TEXTSIZE" 200)
  (setvar "celweight" 30)
  (vla-addMText (if (= 1 (vla-get-activespace ad))
    (vla-get-modelspace ad)
    (if (= (vla-get-mspace ad) :vlax-true)
      (vla-get-modelspace ad)
      (vla-get-paperspace ad)
    )
  )
  InsertionPoint 0.0 (strcat
  "%<\\AcObjProp Object(%<\\_ObjId "
  entObjectID
  ">%).Length \\f \"%lu6%ps[, m]%ct8[0.001]\">%"
  ))
  (setvar "cecolor" MYCECOLOR)
  (setvar "textsize" MYTEXTSIZE)
  (setvar "celweight" MYCELWEIGHT)
)
(princ)

;;; **************************************************************
;;; **************************************************************
;;; **************************************************************

... tak mam prikaz (LGT) na výkaz delky... atd atd... cokoliv potrebuju,si takto muzu dodelat
Je to trosku "prasacky" z programatorskeho hlediska :) ... ale mne to bohate staci...

A na zacatku lispu jeste mam pripominacek - seznam... a pamatuji si jenom ten jeden prikaz (RHFT - RH-FieldText)...

(defun C:RHFT ()
  (textscr)
  (princ "\n\n\n\n
********************************************************
--------------   R H  F I E L D T E X T   --------------
********************************************************

Příkazy pro praci s autom. Text Field
********************************************************

   ART = ARea Textfield
   LGT = LenGht TextField
   BNT = BlockName TextField
   ... 

   ... 

   ... 

   ... 


********************************************************

\n")

  (princ)
  )

JASponza

ACA 2010/14/16, AutoCAD 2010/14/16

(WinXP x86), Win7, 8.1, 10 x64,
Zpět nahoru
mikeborecek Zobrazit panel
Zasloužilý člen
Zasloužilý člen
Avatar

Přihlášen: 10.říj.2008
Lokalita: Slovensko
Používám:
AutoCAD 2016, 3ds Max 2016
Stav: Offline
Bodů: 237
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace mikeborecek Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 20.čvc.2018 v 16:55
fuu, tak to je riadne textu. Moc s programovaním skúsenosti nemám, ale všetko sa dá predsa naučiť, ale dnes už je toho na mňa moc :D Asi to už nechám, tak a najbližšie sa do toho zažerem :D
Ďakujem všetkým za cenné rady, skúsenosti, postrehy ..

A samozrejme príjemný víkend prajem ;)
Zpět nahoru
splonk Zobrazit panel
CAD/BIM manager
CAD/BIM manager
Avatar

Přihlášen: 25.lis.2006
Lokalita: ČR (Pha)
Používám:
AutoCAD/ACA'10/14/16, RVT'17
Stav: Offline
Bodů: 828
Možnosti příspěvku Možnosti příspěvku   Poděkování (0) Poděkování0   Citace splonk Citace  OdpovědětOdpověď Přímý odkaz na tuto zprávu Zasláno: 20.čvc.2018 v 17:02
Ale jen se nelekejt... :) Osobne to delam ze "opisuju", kdyz to autor dovoli, a pak mozna neco vlozim, co mi muze zprijemnit zivot... Zdaleka to ale neni moje prace...

Konkretni odpoved, pro Vasi prvotni otazku ale hledejte v radku

">%).Area \\f \"%lu6%qf1%ps[, m2]%ct8[1e-006]\">%"

.. kde konec zobrazuje onu sintaxi - po ktere jste se puvodne ptal... 
LeeMac to bude mit urcite podobne a myslim ze i na jeho strankach najdete navod, jak se toto dela...
Zkuste v jeho kodu najit neco podobneho tomuto, nejk "rozumne" prepsat a uvidite...

Taky hezky vikend :)
JASponza


JASponza

ACA 2010/14/16, AutoCAD 2010/14/16

(WinXP x86), Win7, 8.1, 10 x64,
Zpět nahoru

Pro technickou podporu CAD
kontaktujte Helpdesk

Příbuzné CAD tipy:
Tip 11138:Náhodné havárie Navisworks při práci i v nečinnosti.
Tip 8504:Rodina na šikmé ploše.
Tip 2778:Proč nemohu v e-Shopu Autodesk produktů najít Mechanical Desktop?
Tip 8909:iLogic pravidlo pro změření délky smyčky v náčrtu.
Tip 2556:Kde vzít 3D model vozidla pro Inventor?
Tip 222:Jak převádět "češtinu" mezi verzemi AutoCADu?


 Odpovědět Odpovědět

Přejít na fórum Oprávnění fóra Zobrazit panel



Stránka byla vygenerována za 0,625 sekund.